Update Bundle Option
PUT https://api.secure.quotivity.com/v1/bundles/{bundleId}/options/{optionId}Updates a bundle option’s name, description, configuration, or display order.
Send your API key in the x-api-key header. See Generating API keys.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
bundleId |
string | Yes | — |
optionId |
string | Yes | — |
Request body
Section titled “Request body”Required, application/json: UpdateBundleOptionRequest
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
200 |
BundleOption | Bundle option updated successfully |
400 |
— | Bundle option does not belong to this bundle |
401 |
— | Unauthorized |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”BundleOption
Section titled “BundleOption”| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
bundleId |
string | Yes | — |
name |
string | Yes | — |
description |
string | No | — |
priceBookId |
string | Yes | — |
displayOrder |
number | Yes | — |
configuration |
BundleOptionConfiguration | Yes | — |
BundleOptionConfiguration
Section titled “BundleOptionConfiguration”| Field | Type | Required | Description |
|---|---|---|---|
minCount |
number | No | — |
maxCount |
number | No | — |
defaultOptionProductId |
string | No | — |
UpdateBundleOptionRequest
Section titled “UpdateBundleOptionRequest”| Field | Type | Required | Description |
|---|---|---|---|
name |
string | No | — |
description |
string | No | — |
configuration |
BundleOptionConfiguration | No | — |
displayOrder |
number | No | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.